Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 779658 - dev-util/roctracer-4.0.0-r1 fails to compile (roctracer_kfd.h:29:10: fatal error: kfd_ostream_ops.h: No such file or directory)
Summary: dev-util/roctracer-4.0.0-r1 fails to compile (roctracer_kfd.h:29:10: fatal er...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
: 791334 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-04-01 06:58 UTC by Agostino Sarubbo
Modified: 2021-05-21 22:51 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,26.51 KB, text/plain)
2021-04-01 06:58 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-04-01 06:58:28 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-util/roctracer-4.0.0-r1 fails to compile.
Discovered on: amd64 (internal ref: tinderbox)
Comment 1 Agostino Sarubbo gentoo-dev 2021-04-01 06:58:30 UTC
Created attachment 696627 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-04-01 06:58:32 UTC
Possible context of error(s):

/var/tmp/portage/dev-util/roctracer-4.0.0-r1/work/roctracer-rocm-4.0.0/inc/roctracer_kfd.h:29:10: fatal error: kfd_ostream_ops.h: No such file or directory
/var/tmp/portage/dev-util/roctracer-4.0.0-r1/work/roctracer-rocm-4.0.0/inc/roctracer_hip.h:40:10: fatal error: hip_ostream_ops.h: No such file or directory
/var/tmp/portage/dev-util/roctracer-4.0.0-r1/work/roctracer-rocm-4.0.0/inc/roctracer_kfd.h:29:10: fatal error: kfd_ostream_ops.h: No such file or directory
Comment 3 justXi 2021-04-02 09:42:45 UTC
On my system "CppHeaderParser" has to be merged with Python 3.8 support.
Comment 4 Benda Xu gentoo-dev 2021-04-10 11:51:35 UTC
(In reply to justXi from comment #3)
> On my system "CppHeaderParser" has to be merged with Python 3.8 support.

What if it is built with Python 3.7?
Comment 5 Ionen Wolkens gentoo-dev 2021-05-21 22:51:32 UTC
*** Bug 791334 has been marked as a duplicate of this bug. ***